@import "styleguide/styles/variables";

.button {
  position: relative;
  display: inline-block;
  color: var(--colorTyrianPurple);
  border: 1px solid var(--colorTyrianPurple);
  font-family: var(--serifPrimaryFont);
  font-size: 1.8rem;
  padding: 0.5em;
  text-decoration: none;
  letter-spacing: 0.1rem;
  z-index: 2;
  transition: 1s ease all;

  &:hover {
    background-color: var(--colorTyrianPurple);
    color: var(--colorWhite);
    transition: 0.1s ease all;
  }

  &.primary {
    &::before {
      content: "";
      position: absolute;
      width: calc(100% + 2rem);
      height: calc(50% + 1rem);
      left: -1rem;
      bottom: -1rem;
      background-color: var(--colorTyrianPurpleAlpha);
      z-index: -1;
    }
  }

  &.dark {
    color: var(--colorMorningGlory);
    border-color: var(--colorMorningGlory);

    &:hover {
      background-color: var(--colorMorningGlory);
      color: var(--colorWhite);
    }

    &::before {
      background-color: var(--colorMorningGloryAlpha);
    }
  }
}
